---
title: scale
slug: Web/SVG/Attribute/scale
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>scale</code></strong> attribute defines the displacement scale factor to be used on a {{SVGElement("feDisplacementMap")}} filter primitive. The amount is expressed in the coordinate system established by the {{SVGAttr("primitiveUnits")}} attribute on the {{SVGElement("filter")}} element.</p>

<p>Only one element is using this attribute: {{SVGElement("feDisplacementMap")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4,8]">&lt;svg viewBox="0 0 480 220" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="displacementFilter" x="-20%" y="-20%" width="140%" height="140%"&gt;
    &lt;feTurbulence type="turbulence" baseFrequency="0.05" numOctaves="2" result="turbulence"/&gt;
    &lt;feDisplacementMap in2="turbulence" in="SourceGraphic" scale="5"/&gt;
  &lt;/filter&gt;
  &lt;filter id="displacementFilter2" x="-20%" y="-20%" width="140%" height="140%"&gt;
    &lt;feTurbulence type="turbulence" baseFrequency="0.05" numOctaves="2" result="turbulence"/&gt;
    &lt;feDisplacementMap in2="turbulence" in="SourceGraphic" scale="50"/&gt;
  &lt;/filter&gt;

  &lt;circle cx="100" cy="100" r="80" style="filter: url(#displacementFilter);""/&gt;
  &lt;circle cx="100" cy="100" r="80" style="filter: url(#displacementFilter2); transform: translateX(240px);""/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "480", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>
 <p>This value defines the scale factor for the displacement.</p>

 <p>When the value of this attribute is <code><span class="attr-value">0</span></code>, this operation has no effect on the source image.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fedisplacementmap-scale", "scale")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feDisplacementMapScaleAttribute", "scale")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feDisplacementMap.scale")}}</p>
